/*jslint nomen:true*/
/*global define*/
define(
    ['oroui/js/widget-manager', 'oroui/js/messenger', 'oroui/js/mediator', 'orotranslation/js/translator'],
    function(widgetManager, messenger, mediator, __) {
        'use strict';

        return function(options) {
            if (options.savedId) {
                widgetManager.getWidgetInstance(
                    options._wid,
                    function(widget) {
                        if (!options.message) {
                            options.message = __('oro_frontend.widget_form_component.save_flash_success');
                        }

                        messenger.notificationFlashMessage('success', options.message);
                        mediator.trigger('widget_success:' + widget.getAlias(), options);
                        mediator.trigger('widget_success:' + widget.getWid(), options);
                        widget.trigger('formSave', {
                            'savedId': options.savedId,
                            'shoppingListCreateEnabled': options.shoppingListCreateEnabled
                        });
                        widget.remove();
                    }
                );
            }
        };
    }
);
